vapier      15/05/17 04:16:27

  Modified:             yaboot-1.3.16.ebuild yaboot-1.3.17-r2.ebuild
                        yaboot-1.3.14-r2.ebuild ChangeLog
  Log:
  Drop hardcoded -I/usr/include which breaks cross-compiles and is not needed 
for native builds.
  
  (Portage version: 2.2.19/cvs/Linux x86_64, signed Manifest commit with key 
D2E96200)

Revision  Changes    Path
1.8                  sys-boot/yaboot/yaboot-1.3.16.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.16.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.16.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.16.ebuild?r1=1.7&r2=1.8

Index: yaboot-1.3.16.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.16.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- yaboot-1.3.16.ebuild        17 May 2015 04:12:42 -0000      1.7
+++ yaboot-1.3.16.ebuild        17 May 2015 04:16:27 -0000      1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.16.ebuild,v 1.7 
2015/05/17 04:12:42 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.16.ebuild,v 1.8 
2015/05/17 04:16:27 vapier Exp $
 
 inherit eutils toolchain-funcs
 
@@ -22,6 +22,11 @@
        cd "${S}"
        cp "${FILESDIR}/new-ofpath" "${S}/ybin/ofpath"
 
+       # No need to hardcode this path -- the compiler already knows to use it.
+       sed -i \
+               -e 's:-I/usr/include::' \
+               Makefile || die
+
        # dual boot patch
        epatch "${FILESDIR}/yabootconfig-1.3.13.patch"
        epatch "${FILESDIR}/chrpfix.patch"



1.5                  sys-boot/yaboot/yaboot-1.3.17-r2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.17-r2.ebuild?rev=1.5&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.17-r2.ebuild?rev=1.5&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.17-r2.ebuild?r1=1.4&r2=1.5

Index: yaboot-1.3.17-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.17-r2.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- yaboot-1.3.17-r2.ebuild     17 May 2015 04:12:42 -0000      1.4
+++ yaboot-1.3.17-r2.ebuild     17 May 2015 04:16:27 -0000      1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.17-r2.ebuild,v 
1.4 2015/05/17 04:12:42 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.17-r2.ebuild,v 
1.5 2015/05/17 04:16:27 vapier Exp $
 
 EAPI=2
 
@@ -27,6 +27,11 @@
 }
 
 src_prepare() {
+       # No need to hardcode this path -- the compiler already knows to use it.
+       sed -i \
+               -e 's:-I/usr/include::' \
+               Makefile || die
+
        # dual boot patch
        epatch "${FILESDIR}/yabootconfig-1.3.13.patch"
        epatch "${FILESDIR}/chrpfix.patch"



1.7                  sys-boot/yaboot/yaboot-1.3.14-r2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.14-r2.ebuild?rev=1.7&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.14-r2.ebuild?rev=1.7&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/yaboot-1.3.14-r2.ebuild?r1=1.6&r2=1.7

Index: yaboot-1.3.14-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.14-r2.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- yaboot-1.3.14-r2.ebuild     17 May 2015 04:12:42 -0000      1.6
+++ yaboot-1.3.14-r2.ebuild     17 May 2015 04:16:27 -0000      1.7
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.14-r2.ebuild,v 
1.6 2015/05/17 04:12:42 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/yaboot-1.3.14-r2.ebuild,v 
1.7 2015/05/17 04:16:27 vapier Exp $
 
 inherit eutils toolchain-funcs
 
@@ -19,6 +19,12 @@
 
 src_compile() {
        unset CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
+
+       # No need to hardcode this path -- the compiler already knows to use it.
+       sed -i \
+               -e 's:-I/usr/include::' \
+               Makefile || die
+
        # dual boot patch
        epatch "${FILESDIR}/yabootconfig-1.3.13.patch"
        epatch "${FILESDIR}/chrpfix.patch"



1.47                 sys-boot/yaboot/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/ChangeLog?rev=1.47&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/ChangeLog?rev=1.47&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-boot/yaboot/ChangeLog?r1=1.46&r2=1.47

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-boot/yaboot/ChangeLog,v
retrieving revision 1.46
retrieving revision 1.47
diff -u -r1.46 -r1.47
--- ChangeLog   17 May 2015 04:12:42 -0000      1.46
+++ ChangeLog   17 May 2015 04:16:27 -0000      1.47
@@ -1,6 +1,11 @@
 # ChangeLog for sys-boot/yaboot
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/ChangeLog,v 1.46 2015/05/17 
04:12:42 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-boot/yaboot/ChangeLog,v 1.47 2015/05/17 
04:16:27 vapier Exp $
+
+  17 May 2015; Mike Frysinger <[email protected]> yaboot-1.3.14-r2.ebuild,
+  yaboot-1.3.16.ebuild, yaboot-1.3.17-r2.ebuild:
+  Drop hardcoded -I/usr/include which breaks cross-compiles and is not needed
+  for native builds.
 
   17 May 2015; Mike Frysinger <[email protected]> yaboot-1.3.14-r2.ebuild,
   yaboot-1.3.16.ebuild, yaboot-1.3.17-r2.ebuild:




Reply via email to